%define name	hostapd
%define version	1.0
%define subrel	1
%define release 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://hostap.epitest.fi/hostapd/
Group:		System/Servers
Source0:	http://hostap.epitest.fi/releases/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}-config-build
Patch0:		%{name}-config.patch
Summary:	Optional user space component for Host AP driver
License:	GPL
BuildRequires:	libopenssl-devel
BuildRequires:	madwifi-source libnl-devel
Requires(post):	rpm-helper
Requires(preun): rpm-helper
Requires(postun): rpm-helper
Requires:	hostap-utils

%description
Hostapd is an optional user space component for Host AP driver. It adds 
more features to the basic IEEE 802.11 management included in the kernel 
driver: using external RADIUS authentication server for MAC address 
based access control, IEEE 802.1X Authenticator and dynamic WEP keying, 
RADIUS accounting. 

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0 -b .mdkconf 
pushd %{name}
cp %{SOURCE2} .config
popd

%build
pushd %{name}
%{__perl} -pi -e 's/CFLAGS =.*/CFLAGS = -MMD %{optflags}/' Makefile
%{__make} CC="%{__cc}" #CFLAGS="-MMD % {optflags}"
popd

%install
pushd %{name}
install -d -m 755 %{buildroot}%{_sbindir}
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -d -m 755 %{buildroot}%{_initrddir}
install -m 755 %{name} %{buildroot}%{_sbindir}
install -m 755 %{name}_cli %{buildroot}%{_sbindir}
install -m 644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}
install -m 644 %{name}.accept %{buildroot}%{_sysconfdir}/%{name}
install -m 644 %{name}.deny %{buildroot}%{_sysconfdir}/%{name}
install -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}
popd

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc %{name}/ChangeLog %{name}/README %{name}/README-WPS
%{_sbindir}/%{name}
%{_sbindir}/%{name}_cli
%config(noreplace) %{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.accept
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.deny


%changelog
* Fri May 11 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.0-1
+ Revision: 798144
- version update  1.0

* Tue Sep 27 2011 Alexander Barakin <abarakin@mandriva.org> 0.7.3-2.1
+ Revision: 701436
- config updated (fix #64155)

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 0.7.3-2
+ Revision: 665416
- mass rebuild

* Wed Sep 08 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.7.3-1mdv2011.0
+ Revision: 576821
- new stable release

* Fri Apr 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.6.7-4mdv2010.1
+ Revision: 533299
- rebuild for openssl-1.0.0

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.7-3mdv2010.1
+ Revision: 511574
- rebuilt against openssl-0.9.8m

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.6.7-2mdv2010.0
+ Revision: 425150
- rebuild

* Tue Jan 27 2009 Michael Scherer <misc@mandriva.org> 0.6.7-1mdv2009.1
+ Revision: 333992
- add missing BuildRequires
- add ipv6 support for radius
- add NL80211 driver
- remove uneeded define in config, which prevent some driver to compile
- update to new version

* Mon Sep 01 2008 Olivier Blin <blino@mandriva.org> 0.6.4-1mdv2009.0
+ Revision: 278134
- 0.6.4

* Thu Aug 07 2008 Olivier Blin <blino@mandriva.org> 0.6.3-3mdv2009.0
+ Revision: 266132
- rebuild for latest madwifi-source

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.6.3-2mdv2009.0
+ Revision: 221176
- rebuild

* Sat Mar 01 2008 Olivier Blin <blino@mandriva.org> 0.6.3-1mdv2008.1
+ Revision: 177404
- mac80211 is now in upstream kernel
- 0.6.3

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.5.8-3mdv2008.1
+ Revision: 170888
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.5.8-2mdv2008.1
+ Revision: 150257
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Fri Jun 22 2007 Adam Williamson <awilliamson@mandriva.org> 0.5.8-1mdv2008.0
+ Revision: 42853
- new release 0.5.8, rebuild with updated devicescape source

* Fri Apr 20 2007 Olivier Blin <blino@mandriva.org> 0.5.7-1mdv2008.0
+ Revision: 15759
- 0.5.7

